Bug 479147 - Review Request: skanlite - A scanning program
Review Request: skanlite - A scanning program
Status: CLOSED DUPLICATE of bug 507475
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 491247
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-01-07 10:53 EST by Teemu Rytilahti
Modified: 2009-06-22 18:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 12:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Teemu Rytilahti 2009-01-07 10:53:11 EST
This is my first package to Fedora and I'm seeking for someone to sponsor it.

Spec URL: http://stetson.frozenhat.fi/~tpr/fedora/skanlite.spec
SRPM URL: http://stetson.frozenhat.fi/~tpr/fedora/skanlite-0.2-1.fc11.src.rpm
Description: Skanlite is a light-weight scanning application based on libksane.
Comment 1 Teemu Rytilahti 2009-01-07 11:10:02 EST
rpmlint output:
---------------
 /home/rpmbuild/rpmbuild/RPMS/i386/skanlite-0.2-1.fc11.i386.rpm
/usr/share/rpmlint/Pkg.py:16: DeprecationWarning: The popen2 module is
deprecated.  Use the subprocess module.
  import popen2
skanlite.i386: W: dangling-symlink /usr/share/doc/HTML/en/skanlite/common
/usr/share/doc/HTML/en/common
skanlite.i386: W: symlink-should-be-relative
/usr/share/doc/HTML/en/skanlite/common /usr/share/doc/HTML/en/common
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 2 Susi Lehtola 2009-01-08 06:21:17 EST
A quick note:

Version number is incorrect, since you are using a SVN snapshot. Is there any reason for this?

You can obtain a stable release at e.g.
ftp://ftp.kde.org/pub/kde/stable/4.1.3/src/extragear/skanlite-0.2-kde4.1.3.tar.bz2
Comment 3 Teemu Rytilahti 2009-01-08 14:17:04 EST
You're correct, I was using SVN snapshot because I didn't knew that the packages do exist for extragear in KDE's ftp-site. 

Spec URL: http://stetson.frozenhat.fi/~tpr/fedora/skanlite.spec
SRPM URL: http://stetson.frozenhat.fi/~tpr/fedora/skanlite-0.2-2.fc11.src.rpm

rpmlint output:
---------------
/usr/share/rpmlint/Pkg.py:16: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import popen2
skanlite.i386: W: dangling-symlink /usr/share/doc/HTML/sv/skanlite/common /usr/share/doc/HTML/sv//common
skanlite.i386: W: symlink-should-be-relative /usr/share/doc/HTML/sv/skanlite/common /usr/share/doc/HTML/sv//common
skanlite.i386: W: dangling-symlink /usr/share/doc/HTML/uk/skanlite/common /usr/share/doc/HTML/uk//common
skanlite.i386: W: symlink-should-be-relative /usr/share/doc/HTML/uk/skanlite/common /usr/share/doc/HTML/uk//common
skanlite.i386: W: dangling-symlink /usr/share/doc/HTML/pt/skanlite/common /usr/share/doc/HTML/pt//common
skanlite.i386: W: symlink-should-be-relative /usr/share/doc/HTML/pt/skanlite/common /usr/share/doc/HTML/pt//common
skanlite.i386: W: dangling-symlink /usr/share/doc/HTML/en/skanlite/common /usr/share/doc/HTML/en/common
skanlite.i386: W: symlink-should-be-relative /usr/share/doc/HTML/en/skanlite/common /usr/share/doc/HTML/en/common
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 4 Mamoru TASAKA 2009-03-19 14:12:08 EDT
Some notes:

* License
  - Strictly speaking, the license tag of this package
    should be "GPLv2 and GPLv3".

* Source tarball
  - There is another "0.2" released tarball under
    ftp://ftp.kde.org/pub/kde/stable/4.2.0/src/extragear/
    and this is actually different from the one under 4.1.3.
    Would you update the tarball?

Also:
------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 5 Mamoru TASAKA 2009-03-19 14:24:50 EDT
By the way:
- Currently on my system there are no such directories named
  /usr/share/doc/HTML/{pt,sv,uk}/common and no package seem
  to provide such directories.

  I think either
  - all symlinks pointing to these directories should be removed
  - or all symlinks pointing to these directories should be
    changed to point to /usr/share/doc/HTML/en/common .
Comment 6 Rex Dieter 2009-03-19 14:44:32 EDT
$ rpm -q -f /usr/share/doc/HTML/pt
kde-filesystem-4-23.fc10.noarch
Comment 7 nucleo 2009-03-19 14:47:57 EDT
There is in skanlite.desktop

 Icon=skanlite

but skanlite.png is absent and probably should be added.
Comment 8 Mamoru TASAKA 2009-03-19 14:58:07 EDT
(In reply to comment #6)
> $ rpm -q -f /usr/share/doc/HTML/pt
> kde-filesystem-4-23.fc10.noarch  

Please be careful:
# LANG=C rpm -qf /usr/share/doc/HTML/pt/common
error: file /usr/share/doc/HTML/pt/common: No such file or directory
Comment 9 Rex Dieter 2009-03-19 15:49:35 EDT
Turns out, those translations aren't entirely useful, unless kde-l10n-pt is installed, which owns said symlink.  We could alternatively include the common symlink in kde-filesystem too.  But, shrug, addressing all that is outside the scope of this review (else, *every* kde app would be guilty).
Comment 10 Mamoru TASAKA 2009-03-19 22:03:37 EDT
(In reply to comment #9)
> Turns out, those translations aren't entirely useful, unless kde-l10n-pt is
> installed, which owns said symlink.

Well, I already examined what package owns /usr/share/doc/HTML/pt/common
by repoquery, but no package is returned (please see the filed
bug 491247)
Comment 11 Mamoru TASAKA 2009-03-26 10:25:16 EDT
ping?
Comment 12 Mamoru TASAKA 2009-04-04 12:29:47 EDT
ping again?
Comment 13 Mamoru TASAKA 2009-04-12 12:51:40 EDT
Again ping?
Comment 14 Mamoru TASAKA 2009-04-18 11:56:07 EDT
I will close this bug as NOTABUG if no response is
received from the reporter within ONE WEEK.
Comment 15 Mamoru TASAKA 2009-04-30 12:39:04 EDT
Once closing.

If someone wants to import this package into Fedora, please
submit a new review request and mark this bug as a duplicate
of the new one.

Thank you!
Comment 16 Sven Lankes 2009-06-22 18:11:06 EDT

*** This bug has been marked as a duplicate of bug 507475 ***

Note You need to log in before you can comment on or make changes to this bug.